#include "stdafx.h"
#include <INITGUID.H>
#include <msctf.h>
#include <msaatext.h>
#include <ctffunc.h>
#include <stdio.h>
#include "TsfReconverter.h"


//=============================================================================


//! TsfReconverter::EnumCandidates() ɓnR[obN
static bool EnumCandidatesCallback(
	int							i_index,
	int							i_number_of_candidates,
	const wchar_t*	i_candidate,
	void*						io_param
)
{
	wprintf(L"%2d/%2d : %s\n", i_index + 1, i_number_of_candidates, i_candidate);
	return true;
}


//=============================================================================


//! C[`B
int wmain(int argc, wchar_t** argv)
{
	setlocale(LC_ALL, "Japanese");
	CoInitialize(NULL);

	TsfReconverter	reconverter;
	
	if( reconverter.IsOpened() )
	{
		for(int i = 1; i < argc; i++)
		{
			reconverter.EnumCandidates(argv[i], &EnumCandidatesCallback, NULL);
		}
	}

	return 0;
}


